local config = {
  data = "/usr/share/webapps/laprassl/9999/data",
  profiles = {
{% for profile in laprasslConfig['profiles'] %}
    {{ profile['name'] }} = {
      authkey = "{{ profile['authkey'] }}"{% if profile['basic_constraints'] is defined %},
      basic_constraints = {
        ca = true,
        pathlen = {{ profile['basic_constraints']['pathlen'] }}
      }{% endif %}{% if profile['key_usage'] is defined %},
      key_usage = {
{% for usage in profile['key_usage'] %}
        "{{ usage }}"{% if not loop.last %},{% endif %}
{% endfor %}
      }{% endif %}{% if profile['extended_key_usage'] is defined %},
      extended_key_usage = {
{% for usage in profile['extended_key_usage'] %}
        "{{ usage }}"{% if not loop.last %},{% endif %}
{% endfor %}
      }{% endif %},
      expiry = "{{ profile['expiry'] }}"{% if profile['issuer'] is defined %},
      issuer = "{{ profile['issuer'] }}"{% endif %}{% if profile['cn'] is defined %},
      cn = "{{ profile['cn'] }}"
{% endif %}
    }{% if not loop.last %},{% endif %}
{% endfor %}
  }{% if laprasslConfig['bootstrap'] is defined %},
  bootstrap = {
{% for key, entity in laprasslConfig['bootstrap'].iteritems() %}
    {{ key }} = {
      subject = {
        CN = "{{ entity['cn'] | default(inventory_hostname) }}"{% if entity['o'] is defined %},
        O = "{{ entity['o'] }}"{% endif %}{% if entity['ou'] is defined %},
        OU = "{{ entity['ou'] }}"{% endif %}{% if entity['st'] is defined %},
        ST = "{{ entity['st'] }}"{% endif %}{% if entity['c'] is defined %},
        C = "{{ entity['c'] }}"{% endif %}{% if entity['l'] is defined %},
        L = "{{ entity['l'] }}"{% endif %}{% if entity['email'] is defined %},
        emailAddress = "{{ entity['email'] }}"
{% endif %}
      },
      profile = "{{ entity['profile'] }}"
    }{% if not loop.last %},{% endif %}
{% endfor %}
  }
{% endif %}
}

return config
